Arsel AI API - أرسل
Arse.aiRegister
Arse.aiRegister
  1. Contact Lists
  • Account
    • Get authenticated account info
      GET
  • Domains
    • List domains
      GET
    • Create a domain (and generate verification DNS records)
      POST
    • Delete a domain
      DELETE
  • Contact Lists
    • List contact lists
      GET
    • Create a contact list
      POST
    • Import subscribers into a contact list
      POST
    • List subscribers for a contact list
      GET
    • Get subscriber details (including subscriber mails)
      GET
    • Create a subscriber in a contact list
      POST
    • Update a subscriber (by subscriber UUID)
      PUT
    • Delete a subscriber (by subscriber UUID)
      DELETE
    • Toggle subscriber subscription status
      PUT
  • Campaigns
    • List campaigns
      GET
    • Create a campaign
      POST
    • Update a campaign
      PUT
    • Delete a campaign
      DELETE
  • Templates
    • List templates
      GET
    • Toggle template publish status
      PUT
  • Email Sending
    • Send an email (queued)
      POST
  • Automations
    • List automations
      GET
    • Create an automation
      POST
    • Get an automation (with steps)
      GET
    • Update an automation (and optionally sync steps)
      PUT
    • Delete an automation
      DELETE
    • Trigger a webhook automation for subscribers
      POST
  • Schemas
    • LaravelPaginationLinks
    • LaravelPaginationMeta
    • ExternalAccount
    • ExternalDomain
    • ExternalDomainCollection
    • ExternalContactList
    • ExternalContactListPaginator
    • CreateContactListResponse
    • ExternalSubscriber
    • ExternalSubscriberPaginator
    • ExternalSubscriberMail
    • ExternalSubscriberMailPaginator
    • SubscriberDetailsResponse
    • ExternalCampaign
    • ExternalCampaignCollection
    • CampaignCreateOrUpdateResponse
    • DeleteResponse
    • ExternalTemplateListItem
    • ExternalTemplatePaginator
    • ErrorResponse
    • MessageResponse
    • AccountInfoResponse
    • CreateDomainRequest
    • CreateContactListRequest
    • CreateOrUpdateSubscriberRequest
    • CreateSubscriberResponse
    • ImportSubscribersRequest
    • CreateOrUpdateCampaignRequest
    • SendEmailRequest
    • CreateAutomationRequest
    • Automation
    • AutomationCollection
    • CreateAutomationResponse
    • TriggerAutomationRequest
    • TriggerAutomationResponse
  1. Contact Lists

Create a subscriber in a contact list

POST
/v1/contact-lists/{list}/subscriber

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Created
Bodyapplication/json

🟠401
🟠404
🟠422
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.arsel.ai/api/v1/contact-lists//subscriber' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "first_name": "string",
    "last_name": "string",
    "email": "user@example.com",
    "tags": [
        "string"
    ]
}'
Response Response Example
200 - Example 1
{
    "message": "string",
    "subscriber": {
        "uuid": "string",
        "first_name": "string",
        "last_name": "string",
        "email": "user@example.com",
        "is_subscribed": true,
        "unsubscribed_at": "string",
        "recieved_count": 0,
        "opened_count": 0,
        "tags": [
            "string"
        ],
        "created_at": "string",
        "updated_at": "string"
    }
}
Previous
Get subscriber details (including subscriber mails)
Next
Update a subscriber (by subscriber UUID)
Built with